%global debug_package %{nil}

Name:		docker-compose
Version:	1.22.0
Release:	4
Summary:	Multi-container orchestration for Docker
License:	ASL 2.0
URL:		https://github.com/docker/compose
Source0:	https://files.pythonhosted.org/packages/source/d/%{name}/%{name}-%{version}.tar.gz
Patch0:		allow-older-setuptools.patch
Patch1:		modify-the-limit-maximum-version.patch

Provides:	fig = %{version}-%{release}
Obsoletes:	fig <= 1.0.1-3

BuildRequires:	python%{?python3_pkgversion}-devel
BuildRequires:	python%{?python3_pkgversion}-setuptools

Requires:	python%{?python3_pkgversion}-cached_property >= 1.3.0
Requires:	python%{?python3_pkgversion}-docker >= 3.4.1
Requires:	python%{?python3_pkgversion}-docker-pycreds >= 0.3.0
Requires:	python%{?python3_pkgversion}-dockerpty >= 0.4.1
Requires:	python%{?python3_pkgversion}-docopt >= 0.6.2
Requires:	python%{?python3_pkgversion}-idna >= 2.5
Requires:	python%{?python3_pkgversion}-jsonschema >= 2.6.0
Requires:	python%{?python3_pkgversion}-pysocks >= 1.6.7
Requires:	python%{?python3_pkgversion}-requests >= 2.18.4
Requires:	python%{?python3_pkgversion}-setuptools
Requires:	python%{?python3_pkgversion}-six >= 1.10.0
Requires:	python%{?python3_pkgversion}-texttable >= 0.9.1
Requires:	python%{?python3_pkgversion}-websocket-client >= 0.32.0
Requires:	python%{?python3_pkgversion}-yaml >= 3.12
Requires:	python%{?python3_pkgversion}-enum34 >= 1.0.4
Requires:	python%{?python3_pkgversion}-ipaddress >= 1.0.16

BuildArch:	noarch

%description
Compose is a tool for defining and running multi-container Docker
applications. With Compose, you use a Compose file to configure your
application's services. Then, using a single command, you create and
start all the services from your configuration.

Compose is great for development, testing, and staging environments,
as well as CI workflows.

Using Compose is basically a three-step process.

1. Define your app's environment with a Dockerfile so it can be
   reproduced anywhere.
2. Define the services that make up your app in docker-compose.yml so
   they can be run together in an isolated environment:
3. Lastly, run docker-compose up and Compose will start and run your
   entire app.

%prep
%autosetup -p 1
#Remove irrelevant dependency version constraints
sed -e 's/, < [0-9.]\+//' -i setup.py

%build
%py3_build

%install
%py3_install
install -D -p -m 644 contrib/completion/bash/docker-compose %{buildroot}%{_datadir}/bash-completion/completions/docker-compose
install -D -p -m 644 contrib/completion/zsh/_docker-compose %{buildroot}%{_datadir}/zsh/site-functions/_docker-compose
install -D -p -m 644 contrib/completion/fish/docker-compose.fish %{buildroot}%{_datadir}/fish/vendor_completions.d/docker-compose.fish

%files
%doc CHANGELOG.md README.rst
%license LICENSE
%{_bindir}/%{name}
%{python3_sitelib}/*
%{_datadir}/bash-completion
%{_datadir}/zsh
%{_datadir}/fish

%changelog
* Fri Sep 11 2020 tianwei <tianwei12@huawei.com> - 1.22.0-4
- remove irrelevant dependency version constraints

* Tue Jun 2 2020 maqiang <maqiang42@huawei.com> - 1.22.0-3
- modify the limit maximum version

* Mon Mar 2 2020 liuchao <liuchao176@huawei.com> - 1.22.0-2
- modify the limit maximum version

* Wed Sep 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.22.0-1
- Package init
